package com.javacorporate.xml;

/*
 * XMLSchema.java
 *
 * Copyright 1999 Javacorporate Ltd.
 */

import com.javacorporate.dbobj.*;
import com.javacorporate.db.DBException;
import com.javacorporate.xml.dbobj.*;
import com.javacorporate.xml.trx.*;
import com.javacorporate.xml.servlet.*;

/**
 * Schema object for the Expresso XML extensions 
 * 
 * @version		$Revision: 1.1 $  $Date: 2000/04/22 14:06:54 $
 * @author		Michael Nash
 */
public class XMLSchema extends Schema {

	private String thisClass = getClass().getName() + ".";

	/**
	 * Constructor
	 */
	public XMLSchema() throws DBException {
		super();

		try {
			/* Keep the below in alpha order */
			add(new Export());
			add(new XMLTrx());

		} catch (Exception e) {
			throw new DBException(e.getMessage());
		}
	} /* Constructor */
} /* XMLSchema */
